## UDisksBlockVDO

UDisksBlockVDO — Generated C code for the org.freedesktop.UDisks2.Block.VDO D-Bus interface

## Functions

void | udisks_block_vdo_call_deactivate ()
gboolean | udisks_block_vdo_call_deactivate_finish ()
gboolean | udisks_block_vdo_call_deactivate_sync ()
void | udisks_block_vdo_call_enable_compression ()
gboolean | udisks_block_vdo_call_enable_compression_finish ()
gboolean | udisks_block_vdo_call_enable_compression_sync ()
void | udisks_block_vdo_call_enable_deduplication ()
gboolean | udisks_block_vdo_call_enable_deduplication_finish ()
gboolean | udisks_block_vdo_call_enable_deduplication_sync ()
void | udisks_block_vdo_call_change_write_policy ()
gboolean | udisks_block_vdo_call_change_write_policy_finish ()
gboolean | udisks_block_vdo_call_change_write_policy_sync ()
void | udisks_block_vdo_call_remove ()
gboolean | udisks_block_vdo_call_remove_finish ()
gboolean | udisks_block_vdo_call_remove_sync ()
void | udisks_block_vdo_call_stop ()
gboolean | udisks_block_vdo_call_stop_finish ()
gboolean | udisks_block_vdo_call_stop_sync ()
void | udisks_block_vdo_call_grow_logical ()
gboolean | udisks_block_vdo_call_grow_logical_finish ()
gboolean | udisks_block_vdo_call_grow_logical_sync ()
void | udisks_block_vdo_call_grow_physical ()
gboolean | udisks_block_vdo_call_grow_physical_finish ()
gboolean | udisks_block_vdo_call_grow_physical_sync ()
void | udisks_block_vdo_call_get_statistics ()
gboolean | udisks_block_vdo_call_get_statistics_finish ()
gboolean | udisks_block_vdo_call_get_statistics_sync ()
void | udisks_block_vdo_complete_deactivate ()
void | udisks_block_vdo_complete_enable_compression ()
void | udisks_block_vdo_complete_enable_deduplication ()
void | udisks_block_vdo_complete_change_write_policy ()
void | udisks_block_vdo_complete_remove ()
void | udisks_block_vdo_complete_stop ()
void | udisks_block_vdo_complete_grow_logical ()
void | udisks_block_vdo_complete_grow_physical ()
void | udisks_block_vdo_complete_get_statistics ()
const gchar * | udisks_block_vdo_get_name ()
gchar * | udisks_block_vdo_dup_name ()
void | udisks_block_vdo_set_name ()
gboolean | udisks_block_vdo_get_active ()
void | udisks_block_vdo_set_active ()
gboolean | udisks_block_vdo_get_compression ()
void | udisks_block_vdo_set_compression ()
gboolean | udisks_block_vdo_get_deduplication ()
void | udisks_block_vdo_set_deduplication ()
guint64 | udisks_block_vdo_get_logical_size ()
void | udisks_block_vdo_set_logical_size ()
guint64 | udisks_block_vdo_get_physical_size ()
void | udisks_block_vdo_set_physical_size ()
guint64 | udisks_block_vdo_get_index_memory ()
void | udisks_block_vdo_set_index_memory ()
const gchar * | udisks_block_vdo_get_write_policy ()
gchar * | udisks_block_vdo_dup_write_policy ()
void | udisks_block_vdo_set_write_policy ()
GDBusInterfaceInfo * | udisks_block_vdo_interface_info ()
guint | udisks_block_vdo_override_properties ()
void | udisks_block_vdo_proxy_new ()
UDisksBlockVDO * | udisks_block_vdo_proxy_new_finish ()
UDisksBlockVDO * | udisks_block_vdo_proxy_new_sync ()
void | udisks_block_vdo_proxy_new_for_bus ()
UDisksBlockVDO * | udisks_block_vdo_proxy_new_for_bus_finish ()
UDisksBlockVDO * | udisks_block_vdo_proxy_new_for_bus_sync ()
UDisksBlockVDO * | udisks_block_vdo_skeleton_new ()

## Properties

gboolean | active | Read / Write
gboolean | compression | Read / Write
gboolean | deduplication | Read / Write
guint64 | index-memory | Read / Write
guint64 | logical-size | Read / Write
gchar * | name | Read / Write
guint64 | physical-size | Read / Write
gchar * | write-policy | Read / Write

## Signals

gboolean | handle-change-write-policy | Run Last
gboolean | handle-deactivate | Run Last
gboolean | handle-enable-compression | Run Last
gboolean | handle-enable-deduplication | Run Last
gboolean | handle-get-statistics | Run Last
gboolean | handle-grow-logical | Run Last
gboolean | handle-grow-physical | Run Last
gboolean | handle-remove | Run Last
gboolean | handle-stop | Run Last

## Types and Values

| UDisksBlockVDO
struct | UDisksBlockVDOIface
struct | UDisksBlockVDOProxy
struct | UDisksBlockVDOProxyClass
struct | UDisksBlockVDOSkeleton
struct | UDisksBlockVDOSkeletonClass

## Description

This section contains code for working with the org.freedesktop.UDisks2.Block.VDO D-Bus interface in C.

## Functions

### udisks_block_vdo_call_deactivate ()

    void
    udisks_block_vdo_call_deactivate (UDisksBlockVDO *proxy,
                                      GVariant *arg_options,
                                      GCancellable *cancellable,
                                      GAsyncReadyCallback callback,
                                      gpointer user_data);

Asynchronously invokes the `Deactivate()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_block_vdo_call_deactivate_finish()` to get the result of the operation.

See `udisks_block_vdo_call_deactivate_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksBlockVDOProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.8.0

### udisks_block_vdo_call_deactivate_finish ()

    gboolean
    udisks_block_vdo_call_deactivate_finish
                                   (UDisksBlockVDO *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_block_vdo_call_deactivate()`.

#### Parameters

proxy | A UDisksBlockVDOProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_vdo_call_deactivate()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.8.0

### udisks_block_vdo_call_deactivate_sync ()

    gboolean
    udisks_block_vdo_call_deactivate_sync (UDisksBlockVDO *proxy,
                                           GVariant *arg_options,
                                           GCancellable *cancellable,
                                           GError **error);

Synchronously invokes the `Deactivate()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_block_vdo_call_deactivate()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksBlockVDOProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.8.0

### udisks_block_vdo_call_enable_compression ()

    void
    udisks_block_vdo_call_enable_compression
                                   (UDisksBlockVDO *proxy,
                                    gboolean arg_enable,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `EnableCompression()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_block_vdo_call_enable_compression_finish()` to get the result of the operation.

See `udisks_block_vdo_call_enable_compression_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksBlockVDOProxy. |
arg_enable | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.8.0

### udisks_block_vdo_call_enable_compression_finish ()

    gboolean
    udisks_block_vdo_call_enable_compression_finish
                                   (UDisksBlockVDO *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_block_vdo_call_enable_compression()`.

#### Parameters

proxy | A UDisksBlockVDOProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_vdo_call_enable_compression()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.8.0

### udisks_block_vdo_call_enable_compression_sync ()

    gboolean
    udisks_block_vdo_call_enable_compression_sync
                                   (UDisksBlockVDO *proxy,
                                    gboolean arg_enable,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `EnableCompression()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_block_vdo_call_enable_compression()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksBlockVDOProxy. |
arg_enable | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.8.0

### udisks_block_vdo_call_enable_deduplication ()

    void
    udisks_block_vdo_call_enable_deduplication
                                   (UDisksBlockVDO *proxy,
                                    gboolean arg_enable,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `EnableDeduplication()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_block_vdo_call_enable_deduplication_finish()` to get the result of the operation.

See `udisks_block_vdo_call_enable_deduplication_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksBlockVDOProxy. |
arg_enable | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.8.0

### udisks_block_vdo_call_enable_deduplication_finish ()

    gboolean
    udisks_block_vdo_call_enable_deduplication_finish
                                   (UDisksBlockVDO *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_block_vdo_call_enable_deduplication()`.

#### Parameters

proxy | A UDisksBlockVDOProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_vdo_call_enable_deduplication()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.8.0

### udisks_block_vdo_call_enable_deduplication_sync ()

    gboolean
    udisks_block_vdo_call_enable_deduplication_sync
                                   (UDisksBlockVDO *proxy,
                                    gboolean arg_enable,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `EnableDeduplication()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_block_vdo_call_enable_deduplication()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksBlockVDOProxy. |
arg_enable | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.8.0

### udisks_block_vdo_call_change_write_policy ()

    void
    udisks_block_vdo_call_change_write_policy
                                   (UDisksBlockVDO *proxy,
                                    const gchar *arg_write_policy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `ChangeWritePolicy()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_block_vdo_call_change_write_policy_finish()` to get the result of the operation.

See `udisks_block_vdo_call_change_write_policy_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksBlockVDOProxy. |
arg_write_policy | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.8.0

### udisks_block_vdo_call_change_write_policy_finish ()

    gboolean
    udisks_block_vdo_call_change_write_policy_finish
                                   (UDisksBlockVDO *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_block_vdo_call_change_write_policy()`.

#### Parameters

proxy | A UDisksBlockVDOProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_vdo_call_change_write_policy()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.8.0

### udisks_block_vdo_call_change_write_policy_sync ()

    gboolean
    udisks_block_vdo_call_change_write_policy_sync
                                   (UDisksBlockVDO *proxy,
                                    const gchar *arg_write_policy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `ChangeWritePolicy()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_block_vdo_call_change_write_policy()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksBlockVDOProxy. |
arg_write_policy | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.8.0

### udisks_block_vdo_call_remove ()

    void
    udisks_block_vdo_call_remove (UDisksBlockVDO *proxy,
                                  gboolean arg_force,
                                  GVariant *arg_options,
                                  GCancellable *cancellable,
                                  GAsyncReadyCallback callback,
                                  gpointer user_data);

Asynchronously invokes the `Remove()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_block_vdo_call_remove_finish()` to get the result of the operation.

See `udisks_block_vdo_call_remove_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksBlockVDOProxy. |
arg_force | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.8.0

### udisks_block_vdo_call_remove_finish ()

    gboolean
    udisks_block_vdo_call_remove_finish (UDisksBlockVDO *proxy,
                                         GAsyncResult *res,
                                         GError **error);

Finishes an operation started with `udisks_block_vdo_call_remove()`.

#### Parameters

proxy | A UDisksBlockVDOProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_vdo_call_remove()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.8.0

### udisks_block_vdo_call_remove_sync ()

    gboolean
    udisks_block_vdo_call_remove_sync (UDisksBlockVDO *proxy,
                                       gboolean arg_force,
                                       GVariant *arg_options,
                                       GCancellable *cancellable,
                                       GError **error);

Synchronously invokes the `Remove()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_block_vdo_call_remove()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksBlockVDOProxy. |
arg_force | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.8.0

### udisks_block_vdo_call_stop ()

    void
    udisks_block_vdo_call_stop (UDisksBlockVDO *proxy,
                                gboolean arg_force,
                                GVariant *arg_options,
                                GCancellable *cancellable,
                                GAsyncReadyCallback callback,
                                gpointer user_data);

Asynchronously invokes the `Stop()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_block_vdo_call_stop_finish()` to get the result of the operation.

See `udisks_block_vdo_call_stop_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksBlockVDOProxy. |
arg_force | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.8.0

### udisks_block_vdo_call_stop_finish ()

    gboolean
    udisks_block_vdo_call_stop_finish (UDisksBlockVDO *proxy,
                                       GAsyncResult *res,
                                       GError **error);

Finishes an operation started with `udisks_block_vdo_call_stop()`.

#### Parameters

proxy | A UDisksBlockVDOProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_vdo_call_stop()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.8.0

### udisks_block_vdo_call_stop_sync ()

    gboolean
    udisks_block_vdo_call_stop_sync (UDisksBlockVDO *proxy,
                                     gboolean arg_force,
                                     GVariant *arg_options,
                                     GCancellable *cancellable,
                                     GError **error);

Synchronously invokes the `Stop()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_block_vdo_call_stop()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksBlockVDOProxy. |
arg_force | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.8.0

### udisks_block_vdo_call_grow_logical ()

    void
    udisks_block_vdo_call_grow_logical (UDisksBlockVDO *proxy,
                                        guint64 arg_size,
                                        GVariant *arg_options,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Asynchronously invokes the `GrowLogical()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_block_vdo_call_grow_logical_finish()` to get the result of the operation.

See `udisks_block_vdo_call_grow_logical_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksBlockVDOProxy. |
arg_size | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.8.0

### udisks_block_vdo_call_grow_logical_finish ()

    gboolean
    udisks_block_vdo_call_grow_logical_finish
                                   (UDisksBlockVDO *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_block_vdo_call_grow_logical()`.

#### Parameters

proxy | A UDisksBlockVDOProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_vdo_call_grow_logical()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.8.0

### udisks_block_vdo_call_grow_logical_sync ()

    gboolean
    udisks_block_vdo_call_grow_logical_sync
                                   (UDisksBlockVDO *proxy,
                                    guint64 arg_size,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GrowLogical()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_block_vdo_call_grow_logical()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksBlockVDOProxy. |
arg_size | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.8.0

### udisks_block_vdo_call_grow_physical ()

    void
    udisks_block_vdo_call_grow_physical (UDisksBlockVDO *proxy,
                                         GVariant *arg_options,
                                         GCancellable *cancellable,
                                         GAsyncReadyCallback callback,
                                         gpointer user_data);

Asynchronously invokes the `GrowPhysical()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_block_vdo_call_grow_physical_finish()` to get the result of the operation.

See `udisks_block_vdo_call_grow_physical_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksBlockVDOProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.8.0

### udisks_block_vdo_call_grow_physical_finish ()

    gboolean
    udisks_block_vdo_call_grow_physical_finish
                                   (UDisksBlockVDO *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_block_vdo_call_grow_physical()`.

#### Parameters

proxy | A UDisksBlockVDOProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_vdo_call_grow_physical()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.8.0

### udisks_block_vdo_call_grow_physical_sync ()

    gboolean
    udisks_block_vdo_call_grow_physical_sync
                                   (UDisksBlockVDO *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GrowPhysical()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_block_vdo_call_grow_physical()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksBlockVDOProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.8.0

### udisks_block_vdo_call_get_statistics ()

    void
    udisks_block_vdo_call_get_statistics (UDisksBlockVDO *proxy,
                                          GVariant *arg_options,
                                          GCancellable *cancellable,
                                          GAsyncReadyCallback callback,
                                          gpointer user_data);

Asynchronously invokes the `GetStatistics()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_block_vdo_call_get_statistics_finish()` to get the result of the operation.

See `udisks_block_vdo_call_get_statistics_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksBlockVDOProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.8.0

### udisks_block_vdo_call_get_statistics_finish ()

    gboolean
    udisks_block_vdo_call_get_statistics_finish
                                   (UDisksBlockVDO *proxy,
                                    GVariant **out_stats,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_block_vdo_call_get_statistics()`.

#### Parameters

proxy | A UDisksBlockVDOProxy. |
out_stats | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_vdo_call_get_statistics()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.8.0

### udisks_block_vdo_call_get_statistics_sync ()

    gboolean
    udisks_block_vdo_call_get_statistics_sync
                                   (UDisksBlockVDO *proxy,
                                    GVariant *arg_options,
                                    GVariant **out_stats,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GetStatistics()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_block_vdo_call_get_statistics()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksBlockVDOProxy. |
arg_options | Argument to pass with the method invocation. |
out_stats | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.8.0

### udisks_block_vdo_complete_deactivate ()

    void
    udisks_block_vdo_complete_deactivate (UDisksBlockVDO *object,
                                          GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Deactivate()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksBlockVDO. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.8.0

### udisks_block_vdo_complete_enable_compression ()

    void
    udisks_block_vdo_complete_enable_compression
                                   (UDisksBlockVDO *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `EnableCompression()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksBlockVDO. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.8.0

### udisks_block_vdo_complete_enable_deduplication ()

    void
    udisks_block_vdo_complete_enable_deduplication
                                   (UDisksBlockVDO *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `EnableDeduplication()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksBlockVDO. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.8.0

### udisks_block_vdo_complete_change_write_policy ()

    void
    udisks_block_vdo_complete_change_write_policy
                                   (UDisksBlockVDO *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `ChangeWritePolicy()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksBlockVDO. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.8.0

### udisks_block_vdo_complete_remove ()

    void
    udisks_block_vdo_complete_remove (UDisksBlockVDO *object,
                                      GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Remove()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksBlockVDO. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.8.0

### udisks_block_vdo_complete_stop ()

    void
    udisks_block_vdo_complete_stop (UDisksBlockVDO *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Stop()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksBlockVDO. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.8.0

### udisks_block_vdo_complete_grow_logical ()

    void
    udisks_block_vdo_complete_grow_logical
                                   (UDisksBlockVDO *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `GrowLogical()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksBlockVDO. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.8.0

### udisks_block_vdo_complete_grow_physical ()

    void
    udisks_block_vdo_complete_grow_physical
                                   (UDisksBlockVDO *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `GrowPhysical()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksBlockVDO. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.8.0

### udisks_block_vdo_complete_get_statistics ()

    void
    udisks_block_vdo_complete_get_statistics
                                   (UDisksBlockVDO *object,
                                    GDBusMethodInvocation *invocation,
                                    GVariant *stats);

Helper function used in service implementations to finish handling invocations of the `GetStatistics()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksBlockVDO. |
invocation | A GDBusMethodInvocation. | [transfer full]
stats | Parameter to return. |

Since: 2.8.0

### udisks_block_vdo_get_name ()

    const gchar *
    udisks_block_vdo_get_name (UDisksBlockVDO *object);

Gets the value of the "Name" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_block_vdo_dup_name()` if on another thread.

[skip]

#### Parameters

object | A UDisksBlockVDO. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.8.0

### udisks_block_vdo_dup_name ()

    gchar *
    udisks_block_vdo_dup_name (UDisksBlockVDO *object);

Gets a copy of the "Name" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlockVDO. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 2.8.0

### udisks_block_vdo_set_name ()

    void
    udisks_block_vdo_set_name (UDisksBlockVDO *object,
                               const gchar *value);

Sets the "Name" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlockVDO. |
value | The value to set. |

Since: 2.8.0

### udisks_block_vdo_get_active ()

    gboolean
    udisks_block_vdo_get_active (UDisksBlockVDO *object);

Gets the value of the "Active" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlockVDO. |

#### Returns

The property value.

Since: 2.8.0

### udisks_block_vdo_set_active ()

    void
    udisks_block_vdo_set_active (UDisksBlockVDO *object,
                                 gboolean value);

Sets the "Active" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlockVDO. |
value | The value to set. |

Since: 2.8.0

### udisks_block_vdo_get_compression ()

    gboolean
    udisks_block_vdo_get_compression (UDisksBlockVDO *object);

Gets the value of the "Compression" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlockVDO. |

#### Returns

The property value.

Since: 2.8.0

### udisks_block_vdo_set_compression ()

    void
    udisks_block_vdo_set_compression (UDisksBlockVDO *object,
                                      gboolean value);

Sets the "Compression" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlockVDO. |
value | The value to set. |

Since: 2.8.0

### udisks_block_vdo_get_deduplication ()

    gboolean
    udisks_block_vdo_get_deduplication (UDisksBlockVDO *object);

Gets the value of the "Deduplication" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlockVDO. |

#### Returns

The property value.

Since: 2.8.0

### udisks_block_vdo_set_deduplication ()

    void
    udisks_block_vdo_set_deduplication (UDisksBlockVDO *object,
                                        gboolean value);

Sets the "Deduplication" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlockVDO. |
value | The value to set. |

Since: 2.8.0

### udisks_block_vdo_get_logical_size ()

    guint64
    udisks_block_vdo_get_logical_size (UDisksBlockVDO *object);

Gets the value of the "LogicalSize" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlockVDO. |

#### Returns

The property value.

Since: 2.8.0

### udisks_block_vdo_set_logical_size ()

    void
    udisks_block_vdo_set_logical_size (UDisksBlockVDO *object,
                                       guint64 value);

Sets the "LogicalSize" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlockVDO. |
value | The value to set. |

Since: 2.8.0

### udisks_block_vdo_get_physical_size ()

    guint64
    udisks_block_vdo_get_physical_size (UDisksBlockVDO *object);

Gets the value of the "PhysicalSize" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlockVDO. |

#### Returns

The property value.

Since: 2.8.0

### udisks_block_vdo_set_physical_size ()

    void
    udisks_block_vdo_set_physical_size (UDisksBlockVDO *object,
                                        guint64 value);

Sets the "PhysicalSize" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlockVDO. |
value | The value to set. |

Since: 2.8.0

### udisks_block_vdo_get_index_memory ()

    guint64
    udisks_block_vdo_get_index_memory (UDisksBlockVDO *object);

Gets the value of the "IndexMemory" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlockVDO. |

#### Returns

The property value.

Since: 2.8.0

### udisks_block_vdo_set_index_memory ()

    void
    udisks_block_vdo_set_index_memory (UDisksBlockVDO *object,
                                       guint64 value);

Sets the "IndexMemory" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlockVDO. |
value | The value to set. |

Since: 2.8.0

### udisks_block_vdo_get_write_policy ()

    const gchar *
    udisks_block_vdo_get_write_policy (UDisksBlockVDO *object);

Gets the value of the "WritePolicy" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_block_vdo_dup_write_policy()` if on another thread.

[skip]

#### Parameters

object | A UDisksBlockVDO. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.8.0

### udisks_block_vdo_dup_write_policy ()

    gchar *
    udisks_block_vdo_dup_write_policy (UDisksBlockVDO *object);

Gets a copy of the "WritePolicy" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlockVDO. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 2.8.0

### udisks_block_vdo_set_write_policy ()

    void
    udisks_block_vdo_set_write_policy (UDisksBlockVDO *object,
                                       const gchar *value);

Sets the "WritePolicy" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlockVDO. |
value | The value to set. |

Since: 2.8.0

### udisks_block_vdo_interface_info ()

    GDBusInterfaceInfo *
    udisks_block_vdo_interface_info (void);

Gets a machine-readable description of the org.freedesktop.UDisks2.Block.VDO D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

Since: 2.8.0

### udisks_block_vdo_override_properties ()

    guint
    udisks_block_vdo_override_properties (GObjectClass *klass,
                                          guint property_id_begin);

Overrides all GObject properties in the UDisksBlockVDO interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

Since: 2.8.0

### udisks_block_vdo_proxy_new ()

    void
    udisks_block_vdo_proxy_new (GDBusConnection *connection,
                                GDBusProxyFlags flags,
                                const gchar *name,
                                const gchar *object_path,
                                GCancellable *cancellable,
                                GAsyncReadyCallback callback,
                                gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Block.VDO. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_block_vdo_proxy_new_finish()` to get the result of the operation.

See `udisks_block_vdo_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 2.8.0

### udisks_block_vdo_proxy_new_finish ()

    UDisksBlockVDO *
    udisks_block_vdo_proxy_new_finish (GAsyncResult *res,
                                       GError **error);

Finishes an operation started with `udisks_block_vdo_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_vdo_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksBlockVDOProxy]

Since: 2.8.0

### udisks_block_vdo_proxy_new_sync ()

    UDisksBlockVDO *
    udisks_block_vdo_proxy_new_sync (GDBusConnection *connection,
                                     GDBusProxyFlags flags,
                                     const gchar *name,
                                     const gchar *object_path,
                                     GCancellable *cancellable,
                                     GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Block.VDO. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_block_vdo_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksBlockVDOProxy]

Since: 2.8.0

### udisks_block_vdo_proxy_new_for_bus ()

    void
    udisks_block_vdo_proxy_new_for_bus (GBusType bus_type,
                                        GDBusProxyFlags flags,
                                        const gchar *name,
                                        const gchar *object_path,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Like `udisks_block_vdo_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_block_vdo_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_block_vdo_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 2.8.0

### udisks_block_vdo_proxy_new_for_bus_finish ()

    UDisksBlockVDO *
    udisks_block_vdo_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_block_vdo_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_vdo_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksBlockVDOProxy]

Since: 2.8.0

### udisks_block_vdo_proxy_new_for_bus_sync ()

    UDisksBlockVDO *
    udisks_block_vdo_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `udisks_block_vdo_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_block_vdo_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksBlockVDOProxy]

Since: 2.8.0

### udisks_block_vdo_skeleton_new ()

    UDisksBlockVDO *
    udisks_block_vdo_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.Block.VDO.

#### Returns

The skeleton object.

[transfer full][type UDisksBlockVDOSkeleton]

Since: 2.8.0

## Types and Values

### UDisksBlockVDO

    typedef struct _UDisksBlockVDO UDisksBlockVDO;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.Block.VDO.

Since: 2.8.0

### struct UDisksBlockVDOIface

    struct UDisksBlockVDOIface {
      GTypeInterface parent_iface;

      gboolean (*handle_change_write_policy) (
        UDisksBlockVDO *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_write_policy,
        GVariant *arg_options);

      gboolean (*handle_deactivate) (
        UDisksBlockVDO *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);

      gboolean (*handle_enable_compression) (
        UDisksBlockVDO *object,
        GDBusMethodInvocation *invocation,
        gboolean arg_enable,
        GVariant *arg_options);

      gboolean (*handle_enable_deduplication) (
        UDisksBlockVDO *object,
        GDBusMethodInvocation *invocation,
        gboolean arg_enable,
        GVariant *arg_options);

      gboolean (*handle_get_statistics) (
        UDisksBlockVDO *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);

      gboolean (*handle_grow_logical) (
        UDisksBlockVDO *object,
        GDBusMethodInvocation *invocation,
        guint64 arg_size,
        GVariant *arg_options);

      gboolean (*handle_grow_physical) (
        UDisksBlockVDO *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);

      gboolean (*handle_remove) (
        UDisksBlockVDO *object,
        GDBusMethodInvocation *invocation,
        gboolean arg_force,
        GVariant *arg_options);

      gboolean (*handle_stop) (
        UDisksBlockVDO *object,
        GDBusMethodInvocation *invocation,
        gboolean arg_force,
        GVariant *arg_options);

      gboolean  (*get_active) (UDisksBlockVDO *object);

      gboolean  (*get_compression) (UDisksBlockVDO *object);

      gboolean  (*get_deduplication) (UDisksBlockVDO *object);

      guint64  (*get_index_memory) (UDisksBlockVDO *object);

      guint64  (*get_logical_size) (UDisksBlockVDO *object);

      const gchar * (*get_name) (UDisksBlockVDO *object);

      guint64  (*get_physical_size) (UDisksBlockVDO *object);

      const gchar * (*get_write_policy) (UDisksBlockVDO *object);
    };

Virtual table for the D-Bus interface org.freedesktop.UDisks2.Block.VDO.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_change_write_policy` () | Handler for the “handle-change-write-policy” signal. |
`handle_deactivate` () | Handler for the “handle-deactivate” signal. |
`handle_enable_compression` () | Handler for the “handle-enable-compression” signal. |
`handle_enable_deduplication` () | Handler for the “handle-enable-deduplication” signal. |
`handle_get_statistics` () | Handler for the “handle-get-statistics” signal. |
`handle_grow_logical` () | Handler for the “handle-grow-logical” signal. |
`handle_grow_physical` () | Handler for the “handle-grow-physical” signal. |
`handle_remove` () | Handler for the “handle-remove” signal. |
`handle_stop` () | Handler for the “handle-stop” signal. |
`get_active` () | Getter for the “active” property. |
`get_compression` () | Getter for the “compression” property. |
`get_deduplication` () | Getter for the “deduplication” property. |
`get_index_memory` () | Getter for the “index-memory” property. |
`get_logical_size` () | Getter for the “logical-size” property. |
`get_name` () | Getter for the “name” property. |
`get_physical_size` () | Getter for the “physical-size” property. |
`get_write_policy` () | Getter for the “write-policy” property. |

Since: 2.8.0

### struct UDisksBlockVDOProxy

    struct UDisksBlockVDOProxy {
    };

The UDisksBlockVDOProxy structure contains only private data and should only be accessed using the provided API.

Since: 2.8.0

### struct UDisksBlockVDOProxyClass

    struct UDisksBlockVDOProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksBlockVDOProxy.

#### Members

Since: 2.8.0

### struct UDisksBlockVDOSkeleton

    struct UDisksBlockVDOSkeleton {
    };

The UDisksBlockVDOSkeleton structure contains only private data and should only be accessed using the provided API.

Since: 2.8.0

### struct UDisksBlockVDOSkeletonClass

    struct UDisksBlockVDOSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksBlockVDOSkeleton.

#### Members

Since: 2.8.0

## Property Details

### The `“active”` property

      “active”                   gboolean

Represents the D-Bus property "Active".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: FALSE

Since: 2.8.0

### The `“compression”` property

      “compression”              gboolean

Represents the D-Bus property "Compression".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: FALSE

Since: 2.8.0

### The `“deduplication”` property

      “deduplication”            gboolean

Represents the D-Bus property "Deduplication".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: FALSE

Since: 2.8.0

### The `“index-memory”` property

      “index-memory”             guint64

Represents the D-Bus property "IndexMemory".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: 0

Since: 2.8.0

### The `“logical-size”` property

      “logical-size”             guint64

Represents the D-Bus property "LogicalSize".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: 0

Since: 2.8.0

### The `“name”` property

      “name”                     gchar *

Represents the D-Bus property "Name".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: NULL

Since: 2.8.0

### The `“physical-size”` property

      “physical-size”            guint64

Represents the D-Bus property "PhysicalSize".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: 0

Since: 2.8.0

### The `“write-policy”` property

      “write-policy”             gchar *

Represents the D-Bus property "WritePolicy".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: NULL

Since: 2.8.0

## Signal Details

### The `“handle-change-write-policy”` signal

    gboolean
    user_function (UDisksBlockVDO        *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_write_policy,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `ChangeWritePolicy()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_vdo_complete_change_write_policy()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksBlockVDO. |
invocation | A GDBusMethodInvocation. |
arg_write_policy | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.8.0

### The `“handle-deactivate”` signal

    gboolean
    user_function (UDisksBlockVDO        *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Deactivate()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_vdo_complete_deactivate()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksBlockVDO. |
invocation | A GDBusMethodInvocation. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.8.0

### The `“handle-enable-compression”` signal

    gboolean
    user_function (UDisksBlockVDO        *object,
                   GDBusMethodInvocation *invocation,
                   gboolean               arg_enable,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `EnableCompression()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_vdo_complete_enable_compression()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksBlockVDO. |
invocation | A GDBusMethodInvocation. |
arg_enable | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.8.0

### The `“handle-enable-deduplication”` signal

    gboolean
    user_function (UDisksBlockVDO        *object,
                   GDBusMethodInvocation *invocation,
                   gboolean               arg_enable,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `EnableDeduplication()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_vdo_complete_enable_deduplication()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksBlockVDO. |
invocation | A GDBusMethodInvocation. |
arg_enable | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.8.0

### The `“handle-get-statistics”` signal

    gboolean
    user_function (UDisksBlockVDO        *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `GetStatistics()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_vdo_complete_get_statistics()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksBlockVDO. |
invocation | A GDBusMethodInvocation. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.8.0

### The `“handle-grow-logical”` signal

    gboolean
    user_function (UDisksBlockVDO        *object,
                   GDBusMethodInvocation *invocation,
                   guint64                arg_size,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `GrowLogical()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_vdo_complete_grow_logical()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksBlockVDO. |
invocation | A GDBusMethodInvocation. |
arg_size | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.8.0

### The `“handle-grow-physical”` signal

    gboolean
    user_function (UDisksBlockVDO        *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `GrowPhysical()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_vdo_complete_grow_physical()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksBlockVDO. |
invocation | A GDBusMethodInvocation. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.8.0

### The `“handle-remove”` signal

    gboolean
    user_function (UDisksBlockVDO        *object,
                   GDBusMethodInvocation *invocation,
                   gboolean               arg_force,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Remove()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_vdo_complete_remove()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksBlockVDO. |
invocation | A GDBusMethodInvocation. |
arg_force | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.8.0

### The `“handle-stop”` signal

    gboolean
    user_function (UDisksBlockVDO        *object,
                   GDBusMethodInvocation *invocation,
                   gboolean               arg_force,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Stop()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_vdo_complete_stop()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksBlockVDO. |
invocation | A GDBusMethodInvocation. |
arg_force | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.8.0